Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonInCharge.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonInCharge.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonInCharge.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -32,7 +32,7 @@
         /// <summary>
         /// 担当者マスタフィールド並び
         /// </summary>
-        public enum NameColumn
+        public enum ColumnCnt
         {
             PersonCode = 0,
             DisplayOrder,
@@ -41,6 +41,7 @@
             EndDate,
             PassWord,
             SecurityManagement,
+            SecCode,
             MsgBackColor,
             DisplayString,
             DepartmentCode,
@@ -86,6 +87,7 @@
             strcmd += ", DATE_FORMAT(EndDate, '%Y/%m/%d %H:%i:%s')";
             strcmd += ", PassWord";
             strcmd += ", SecurityManagement";
+            strcmd += ", SecCode";
             strcmd += ", MsgBackColor";
             strcmd += ", DisplayString";
             strcmd += ", DepartmentCode";
@@ -206,6 +208,7 @@
                     strcmd += ", EndDate";
                     strcmd += ", PassWord";
                     strcmd += ", SecurityManagement";
+                    strcmd += ", SecCode";
                     strcmd += ", MsgBackColor";
                     strcmd += ", DisplayString";
                     strcmd += ", DepartmentCode";
@@ -225,10 +228,11 @@
                     strcmd += string.Format("  {0}", work.PersonCode);
                     strcmd += string.Format(", {0}", work.DisplayOrder);
                     strcmd += string.Format(", '{0}'", work.PersonName);
-                    strcmd += string.Format(", DATE_FORMAT('{0}' ,'%Y/%m/%d')", work.StartDate.ToShortDateString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}' ,'%Y/%m/%d')", work.EndDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}' ,'%Y/%m/%d')", work.StartDate.ToShortDateString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}' ,'%Y/%m/%d')", work.EndDate.ToShortDateString());
                     strcmd += string.Format(", '{0}'", work.PassWord);
                     strcmd += string.Format(", {0}", work.SecurityManagement);
+                    strcmd += string.Format(", {0}", work.SecCode);
                     strcmd += string.Format(", '{0}'", work.MsgBackColor);
                     strcmd += string.Format(", '{0}'", work.DisplayString);
                     strcmd += string.Format(", {0}", work.DepartmentCode);
@@ -240,8 +244,8 @@
                     strcmd += string.Format(", {0}", work.LedgerFlg);
 
                     strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -276,10 +280,11 @@
                 strcmd += string.Format("  PersonCode = {0}", data.PersonCode.ToString());
                 strcmd += string.Format(", DisplayOrder = {0}", data.DisplayOrder.ToString());
                 strcmd += string.Format(", PersonName = '{0}'", data.PersonName);
-                strcmd += string.Format(", StartDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
-                strcmd += string.Format(", EndDate = DATE_FORMAT('{0}','%Y/%m/%d')",data.EndDate.ToShortDateString());
+                strcmd += string.Format(", StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
+                strcmd += string.Format(", EndDate = STR_TO_DATE('{0}','%Y/%m/%d')",data.EndDate.ToShortDateString());
                 strcmd += string.Format(", PassWord = '{0}'", data.PassWord);
                 strcmd += string.Format(", SecurityManagement = {0}", data.SecurityManagement.ToString());
+                strcmd += string.Format(", SecCode = {0}", data.SecCode.ToString());
                 strcmd += string.Format(", MsgBackColor = '{0}'", data.MsgBackColor);
                 strcmd += string.Format(", DisplayString = '{0}'", data.DisplayString);
                 strcmd += string.Format(", DepartmentCode = {0}", data.DepartmentCode.ToString());
@@ -291,7 +296,7 @@
                 strcmd += string.Format(", LedgerFlg = {0}", data.LedgerFlg);
                 
                 strcmd += string.Format(", DeleteFlg = {0}", data.DeleteFlg);
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -333,6 +338,96 @@
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="FeildNo"></param>
+        /// <param name="value"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateFeild(int PersonCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE PersonInChargeMaster";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)ColumnCnt.PersonCode:
+                        strcmd += string.Format(" PersonCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnCnt.DisplayOrder:
+                        strcmd += string.Format(" DisplayOrder = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnCnt.PersonName:
+                        strcmd += string.Format(" PersonName = '{0}'", value.ToString());
+                        break;
+                    case (int)ColumnCnt.StartDate:
+                        strcmd += string.Format(" StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)ColumnCnt.EndDate:
+                        strcmd += string.Format(" EndDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)ColumnCnt.PassWord:
+                        strcmd += string.Format(" PassWord = '{0}'", value.ToString());
+                        break;
+                    case (int)ColumnCnt.SecurityManagement:
+                        strcmd += string.Format(" SecurityManagement = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnCnt.SecCode:
+                        strcmd += string.Format(" SecCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnCnt.MsgBackColor:
+                        strcmd += string.Format(" MsgBackColor = '{0}'", value.ToString());
+                        break;
+                    case (int)ColumnCnt.DisplayString:
+                        strcmd += string.Format(" DisplayString = '{0}'", value.ToString());
+                        break;
+                    case (int)ColumnCnt.DepartmentCode:
+                        strcmd += string.Format(" DepartmentCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnCnt.MonthlySalary:
+                        strcmd += string.Format(" MonthlySalary = {0}", ((double)value).ToString());
+                        break;
+                    case (int)ColumnCnt.YearSalary:
+                        strcmd += string.Format(" YearSalary = {0}", ((double)value).ToString());
+                        break;
+                    case (int)ColumnCnt.Qualification:
+                        strcmd += string.Format(" Qualification = '{0}'", value.ToString());
+                        break;
+                    case (int)ColumnCnt.SealPrintName:
+                        strcmd += string.Format(" SealPrintName = '{0}'", value.ToString());
+                        break;
+                    case (int)ColumnCnt.EmployeeClassFlg:
+                        strcmd += string.Format(" EmployeeClassFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnCnt.LedgerFlg:
+                        strcmd += string.Format(" LedgerFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnCnt.DeleteFlg:
+                        strcmd += string.Format(" DeleteFlg = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(PersonCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
@@ -344,26 +439,27 @@
             try
             {
                 // データ取得
-                wrk.PersonCode = int.Parse(objwrk[(int)NameColumn.PersonCode].ToString());
-                wrk.DisplayOrder = int.Parse(objwrk[(int)NameColumn.DisplayOrder].ToString());
-                wrk.PersonName = objwrk[(int)NameColumn.PersonName].ToString();
-                wrk.StartDate = DateTime.Parse(objwrk[(int)NameColumn.StartDate].ToString());
-                wrk.EndDate = DateTime.Parse(objwrk[(int)NameColumn.EndDate].ToString());
-                wrk.PassWord = objwrk[(int)NameColumn.PassWord].ToString();
-                wrk.SecurityManagement = int.Parse(objwrk[(int)NameColumn.SecurityManagement].ToString());
-                wrk.MsgBackColor = objwrk[(int)NameColumn.MsgBackColor].ToString();
-                wrk.DisplayString = objwrk[(int)NameColumn.DisplayString].ToString();
-                wrk.DepartmentCode = int.Parse(objwrk[(int)NameColumn.DepartmentCode].ToString());
-                wrk.MonthlySalary = double.Parse(objwrk[(int)NameColumn.MonthlySalary].ToString());
-                wrk.YearSalary = double.Parse(objwrk[(int)NameColumn.YearSalary].ToString());
-                wrk.Qualification = objwrk[(int)NameColumn.Qualification].ToString();
-                wrk.SealPrintName = objwrk[(int)NameColumn.SealPrintName].ToString();
-                wrk.EmployeeClassFlg = int.Parse(objwrk[(int)NameColumn.EmployeeClassFlg].ToString());
-                wrk.LedgerFlg = int.Parse(objwrk[(int)NameColumn.LedgerFlg].ToString());
+                wrk.PersonCode = int.Parse(objwrk[(int)ColumnCnt.PersonCode].ToString());
+                wrk.DisplayOrder = int.Parse(objwrk[(int)ColumnCnt.DisplayOrder].ToString());
+                wrk.PersonName = objwrk[(int)ColumnCnt.PersonName].ToString();
+                wrk.StartDate = DateTime.Parse(objwrk[(int)ColumnCnt.StartDate].ToString());
+                wrk.EndDate = DateTime.Parse(objwrk[(int)ColumnCnt.EndDate].ToString());
+                wrk.PassWord = objwrk[(int)ColumnCnt.PassWord].ToString();
+                wrk.SecurityManagement = int.Parse(objwrk[(int)ColumnCnt.SecurityManagement].ToString());
+                wrk.SecCode = int.Parse(objwrk[(int)ColumnCnt.SecCode].ToString());
+                wrk.MsgBackColor = objwrk[(int)ColumnCnt.MsgBackColor].ToString();
+                wrk.DisplayString = objwrk[(int)ColumnCnt.DisplayString].ToString();
+                wrk.DepartmentCode = int.Parse(objwrk[(int)ColumnCnt.DepartmentCode].ToString());
+                wrk.MonthlySalary = double.Parse(objwrk[(int)ColumnCnt.MonthlySalary].ToString());
+                wrk.YearSalary = double.Parse(objwrk[(int)ColumnCnt.YearSalary].ToString());
+                wrk.Qualification = objwrk[(int)ColumnCnt.Qualification].ToString();
+                wrk.SealPrintName = objwrk[(int)ColumnCnt.SealPrintName].ToString();
+                wrk.EmployeeClassFlg = int.Parse(objwrk[(int)ColumnCnt.EmployeeClassFlg].ToString());
+                wrk.LedgerFlg = int.Parse(objwrk[(int)ColumnCnt.LedgerFlg].ToString());
 
-                wrk.DeleteFlg = int.Parse(objwrk[(int)NameColumn.DeleteFlg].ToString());
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
+                wrk.DeleteFlg = int.Parse(objwrk[(int)ColumnCnt.DeleteFlg].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnCnt.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnCnt.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
@@ -390,6 +486,7 @@
             wrk.EndDate = DateTime.MinValue;        // マスタ使用開始年月日付
             wrk.PassWord = string.Empty;	        // パスワード
             wrk.SecurityManagement = 0;             // 機密区分
+            wrk.SecCode = 0;                        // 保護区分番号
             wrk.MsgBackColor = string.Empty;	    // メッセージ背景色
             wrk.DisplayString = string.Empty;	    // 表示・印刷名称
             wrk.DepartmentCode = 0;                 // 部署コード
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonSalary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonSalary.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonSalary.cs	(revision 51)
@@ -0,0 +1,372 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 担当者給与マスタＤＢアクセス
+    /// </summary>
+    public class IOMPersonSalary : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 担当者給与マスタフィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            PersonCode = 0,
+            StartDate,
+            MonthlySalary,
+            YearSalary,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOMPersonSalary()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 担当者給与マスタ検索文字列作成
+        /// <summary>
+        /// 担当者給与マスタ検索文字列作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">担当者給与マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            string strcmd = "SELECT";
+            strcmd += "  PersonCode";
+
+            strcmd += ", DATE_FORMAT(StartDate, '%Y/%m/%d %H:%i:%s')";
+
+            strcmd += ", MonthlySalary";
+            strcmd += ", YearSalary";
+
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " FROM PersonSalaryMaster";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 担当者給与マスタ複数検索
+        /// <summary>
+        /// 担当者給与マスタ複数検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<PersonSalaryMaster> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    PersonSalaryMaster work = new PersonSalaryMaster();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 担当者給与マスタ１件検索
+        /// <summary>
+        /// 担当者給与マスタ１件検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref PersonSalaryMaster data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                object[] objwrk = (object[])arData[0];
+                Reader2Struct(objwrk, ref data);
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 担当者給与マスタ追加
+        /// <summary>
+        /// 担当者給与マスタ追加
+        /// </summary>
+        /// <param name="data">担当者給与マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(PersonSalaryMaster data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "INSERT INTO PersonSalaryMaster";
+
+                strcmd += " (PersonCode";
+
+                strcmd += ", StartDate";
+
+                strcmd += ", MonthlySalary";
+                strcmd += ", YearSalary";
+
+                strcmd += ", EntryDate";
+                strcmd += ", UpdateDate)";
+
+                strcmd += " VALUES (";
+
+                strcmd += string.Format("  {0}", data.PersonCode);
+
+                strcmd += string.Format(", STR_TO_DATE('{0}' ,'%Y/%m/%d')", data.StartDate.ToShortDateString());
+
+                strcmd += string.Format(", {0}", data.MonthlySalary);
+                strcmd += string.Format(", {0}", data.YearSalary);
+
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 担当者給与マスタ追加
+        /// <summary>
+        /// 担当者給与マスタ追加
+        /// </summary>
+        /// <param name="data">担当者給与マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<PersonSalaryMaster> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (PersonSalaryMaster work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 担当者給与マスタ更新
+        /// <summary>
+        /// 担当者給与マスタ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">担当者給与マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, PersonSalaryMaster data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE PersonSalaryMaster";
+
+                strcmd += " SET";
+
+                strcmd += string.Format("  PersonCode = {0}", data.PersonCode.ToString());
+                
+                strcmd += string.Format(", StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.StartDate.ToShortDateString());
+                
+                strcmd += string.Format(", MonthlySalary = {0}", data.MonthlySalary.ToString());
+                strcmd += string.Format(", YearSalary = {0}", data.YearSalary.ToString());
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 担当者給与マスタ削除
+        /// <summary>
+        /// 担当者給与マスタ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">担当者給与マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM PersonSalaryMaster", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref PersonSalaryMaster wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.PersonCode = int.Parse(objwrk[(int)NameColumn.PersonCode].ToString());
+                wrk.StartDate = DateTime.Parse(objwrk[(int)NameColumn.StartDate].ToString());
+                wrk.MonthlySalary = double.Parse(objwrk[(int)NameColumn.MonthlySalary].ToString());
+                wrk.YearSalary = double.Parse(objwrk[(int)NameColumn.YearSalary].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 構造体クリア
+        /// <summary>
+        /// 構造体クリア
+        /// </summary>
+        /// <param name="wrk"></param>
+        public void ClearStruct(ref PersonSalaryMaster wrk)
+        {
+            wrk.PersonCode = 0;                     // 担当者コード
+            wrk.StartDate = DateTime.MinValue;      // マスタ使用開始年月日付
+
+            wrk.MonthlySalary = 0;                  // 月給金額
+            wrk.YearSalary = 0;	                    // 年棒金額
+
+            wrk.EntryDate = DateTime.MinValue;      // 登録日付
+            wrk.UpdateDate = DateTime.MinValue;     // 更新日付
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="ItemCode">大工種キー</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int PersonCode, DateTime StartDate)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" Where PersonCode = {0}", PersonCode);
+                if (StartDate.Date != DateTime.MinValue)
+                    strWork = string.Format(" AND StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", StartDate.ToShortDateString());
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+    }
+}
